Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Streams Advanced Queuing Java API Reference 10g Release 2 (10.2) B14291-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.jms
Interface XATopicConnectionFactory

All Superinterfaces:
  ConnectionFactory, TopicConnectionFactory, XAConnectionFactory

All Known Implementing Classes:
  AQjmsXATopicConnectionFactory

public interface XATopicConnectionFactory
extends XAConnectionFactory, TopicConnectionFactory

An `XATopicConnectionFactory` provides the same create options as a `TopicConnectionFactory` (optional).

The `XATopicConnectionFactory` interface is optional. JMS providers are not required to support this interface. This interface is for use by JMS providers to support transactional environments. Client programs are strongly encouraged to use the transactional support available in their environment, rather than use these XA interfaces directly.

See Also:
  `TopicConnectionFactory`, `XAConnectionFactory`

Method Summary
`XATopicConnection` | `createXATopicConnection()` Creates an XA topic connection with the default user identity.
`XATopicConnection` | `createXATopicConnection(java.lang.String userName, java.lang.String password)` Creates an XA topic connection with the specified user identity.

Methods inherited from interface javax.jms.XAConnectionFactory
`createXAConnection, createXAConnection`

Methods inherited from interface javax.jms.TopicConnectionFactory
`createTopicConnection, createTopicConnection`

Methods inherited from interface javax.jms.ConnectionFactory
`createConnection, createConnection`

Method Detail

### createXATopicConnection

    public XATopicConnection createXATopicConnection()
                                              throws JMSException

  Creates an XA topic connection with the default user identity. The connection is created in stopped mode. No messages will be delivered until the `Connection.start` method is explicitly called.
  Returns:
    a newly created XA topic connection
  Throws:
    `JMSException` - if the JMS provider fails to create an XA topic connection due to some internal error.
    `JMSSecurityException` - if client authentication fails due to an invalid user name or password.

### createXATopicConnection

    public XATopicConnection createXATopicConnection(java.lang.String userName,
                                                     java.lang.String password)
                                              throws JMSException

  Creates an XA topic connection with the specified user identity. The connection is created in stopped mode. No messages will be delivered until the `Connection.start` method is explicitly called.
  Parameters:
    `userName` - the caller's user name
    `password` - the caller's password
  Returns:
    a newly created XA topic connection
  Throws:
    `JMSException` - if the JMS provider fails to create an XA topic connection due to some internal error.
    `JMSSecurityException` - if client authentication fails due to an invalid user name or password.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Streams Advanced Queuing Java API Reference 10g Release 2 (10.2) B14291-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.